Docs Rizler

Advanced

Update Sender

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/advanced/senders/{agent_id}/{sender_id}
Update Sender
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/senders/agent_123/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "send_to": "value",
  "send_type": "Email"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Sender#

Update a sender record for an AI agent..

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

sender_idstringpathrequired

sender id

send_tostringbody

max 255. send only when changing this field

send_typestringbody

One of: Email, SMS. send only when changing this field

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/senders/agent_123/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"send_to":"value","send_type":"Email"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records